Summary: Text file format converter
Name: dos2unix
Version: 3.1
Release: 37%{?dist}
Group: Applications/Text
License: BSD

# There is no upstream for this.
Source: %{name}-%{version}.tar.bz2

Patch0: %{name}-%{version}.patch
Patch1: dos2unix-3.1-segfault.patch
Patch2: dos2unix-3.1-safeconv.patch
Patch3: dos2unix-3.1-manpage-update-57507.patch
Patch4: dos2unix-3.1-preserve-file-modes.patch
Patch5: dos2unix-3.1-tmppath.patch
Patch6: dos2unix-c-missing-arg.patch
Patch7: dos2unix-missing-proto.patch
Patch8: dos2unix-manpage.patch
Patch9: dos2unix-preserve-file-modes.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Dos2unix converts DOS or MAC text files to UNIX format.

%prep
%setup -q
# Fix makefile and use mkstemp.
%patch0 -p1 -b .orig

# Check for errors when creating temporary file.
%patch1 -p1 -b .segfault

# Safer conversion with mac2unix.
%patch2 -p1 -b .safeconv

# Manual page fixes.
%patch3 -p1 -b .manpage-update-57507

# Preserve file modes when creating new files.
%patch4 -p1 -b .preserve-file-modes

# Don't just delete original file.
%patch5 -p1 -b .tmppath

# Fail gracefully when incorrect command line used.
%patch6 -p1 -b .c-missing-arg

# Include io.h and unistd.h.
%patch7 -p1 -b .missing-proto

# Fixed typo in man page.
%patch8 -p1 -b .manpage

# Preserve file modes.
%patch9 -p1 -b .preserve-file-modes

for I in *.[ch]; do
	sed -e 's,#endif.*,#endif,g' -e 's,#else.*,#else,g' $I > $I.new
	mv -f $I.new $I
done
make clean

%build
make CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE $(getconf LFS_CFLAGS)" \
  %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -p -m755 dos2unix $RPM_BUILD_ROOT%{_bindir}
ln -s dos2unix $RPM_BUILD_ROOT%{_bindir}/mac2unix
install -p -m644 dos2unix.1 $RPM_BUILD_ROOT%{_mandir}/man1
ln -s dos2unix.1 $RPM_BUILD_ROOT%{_mandir}/man1/mac2unix.1

%files
%defattr(-,root,root,0755)
%doc COPYRIGHT
%{_bindir}/dos2unix
%{_bindir}/mac2unix
%{_mandir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT


%changelog

